<?php

namespace backend\modules\theme\controllers;

use yii;
use common\models\Theme;
use yii\web\NotFoundHttpException;
use yii\web\UploadedFile;

class ThemeFileController extends \yii\web\Controller
{
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Finds the Theme model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Theme the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Theme::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
    
    public function actionUpload($id){
        
        $model = $this->findModel($id);
        $modelFiles = $model->themeFiles;

        if ($model->load(Yii::$app->request->post())) { //&& $model->save()
            
            // get the uploaded file instance. for multiple file uploads
            // the following data will return an array
            $theme_file = UploadedFile::getInstance($model, 'theme-file');

            // the path to save file, you can set an uploadPath
            $path = $model->file;
            if ($path) {

                echo 'a';
                if ($model->save()) {
                    $theme_file->saveAs($path);
                    return $this->redirect(['view', 'id' => $model->id]);
                } else {
                    // error in saving model
                }
            } else {
                echo 'aaa';
                echo $theme_file->id;
                exit();
            }
        }
        return $this->render('upload');
    }

}
